All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class JComponentModelCustomizerPanel

    com.sas.swing.visuals.JComponentModelCustomizerPanel

All Implemented Interfaces:
  com.sas.beans.CustomizerClosingInterface, LayoutConstants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.Customizer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener

    public class JComponentModelCustomizerPanel

implements javax.swing.event.ListSelectionListener, java.beans.PropertyChangeListener

JComponentModelCustomizerPanel provides the user interface for customizing components which implement the javax.swing.JComponent. It allows editting of the foreground color, background color, font, border, visibility, and enable state of the component.

See Also:
  Serialized Form

Field Summary
`protected javax.swing.JRadioButton` | `detachModel`
`protected javax.swing.ListSelectionModel` | `listSelectionModel`
`protected javax.swing.JList` | `modelList`
`protected java.beans.PropertyEditor` | `propertyEditor`
`protected java.lang.Object` | `propValue`
`protected static java.lang.String` | `RB_KEY`
`protected javax.swing.JLabel` | `selectModel`
`protected boolean` | `settingModel`
`protected java.lang.Object` | `swingBean`

Fields inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`bean, tabTitle`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Constructor Summary
`JComponentModelCustomizerPanel(java.lang.String tabName)` Constructor used pass the name of the tab up to the superclass.

Method Summary
`void` | `customizerClosing()` customizerClosing() is called when the customizer for a component is closed.
`protected boolean` | `hasDefaultModelAttached()`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`
`void` | `setDefaultValues()` Create the UI controls for customizing instances of VisualInterface.
`protected void` | `setModelSelected()` Set the selectedItem in the list to correspond to the attached model
`void` | `setObject(java.lang.Object bean)` Sets the Object being customized.
`void` | `valueChanged(javax.swing.event.ListSelectionEvent event)` Handles valueChanged events

Methods inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`getObject, getTabTitle, setTabTitle`

Field Detail

### RB_KEY

    protected static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### selectModel

    protected javax.swing.JLabel selectModel

### detachModel

    protected javax.swing.JRadioButton detachModel

### modelList

    protected javax.swing.JList modelList

### propertyEditor

    protected java.beans.PropertyEditor propertyEditor

### listSelectionModel

    protected javax.swing.ListSelectionModel listSelectionModel

### propValue

    protected java.lang.Object propValue

### settingModel

    protected boolean settingModel

### swingBean

    protected java.lang.Object swingBean

Constructor Detail

### JComponentModelCustomizerPanel

    public JComponentModelCustomizerPanel(java.lang.String tabName)

  Constructor used pass the name of the tab up to the superclass.

Method Detail

### setDefaultValues

    public void setDefaultValues()

  Create the UI controls for customizing instances of VisualInterface.

### setObject

    public void setObject(java.lang.Object bean)

  Description copied from class: `SwingCustomizerPanel`
  Sets the Object being customized.

  Specified by:
    `setObject` in interface `java.beans.Customizer`
  Overrides:
    `setObject` in class `SwingCustomizerPanel`
  Parameters:
    `bean` - the Object being customized.
  See Also:
    `Customizer.setObject(java.lang.Object)`

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent event)

  Handles valueChanged events

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`
  Parameters:
    `event` - ListSelectionEvent

### setModelSelected

    protected void setModelSelected()

  Set the selectedItem in the list to correspond to the attached model

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### hasDefaultModelAttached

    protected boolean hasDefaultModelAttached()

### customizerClosing

    public void customizerClosing()

  Description copied from class: `SwingCustomizerPanel`
  customizerClosing() is called when the customizer for a component is closed. customizerClosing() of the customizerView calls customizerClosing() on each of the panels in the CustomizerView which extend CustomizerPanel.

  customizerClosing() should "unhook" the bean from the customizer by removing any event listeners the panel added to the bean.

  Subclasses should call super in case we add some functionality to this method in the future.

  Specified by:
    `customizerClosing` in interface `com.sas.beans.CustomizerClosingInterface`
  Overrides:
    `customizerClosing` in class `SwingCustomizerPanel`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.